//
//  SPK_StringToImageStructurePlugIn.h
//  SPK-StringToImageStructure
//
//  Created by Toby Harris on 12/02/2008.
//  Copyright (c) 2008 *spark audio-visual. 
//
//  'SPK-StringToImageStructurePlugIn' is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  'SPK-StringToImageStructurePlugIn' is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#import <Quartz/Quartz.h>

@interface SPK_StringToImageStructurePlugIn : QCPlugIn
{
	NSString *defaultString;
}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/

// QC IO
@property(assign) NSString* inputString;
@property(assign) NSString* inputFontName;
@property		  double inputFontSize;
@property(assign) NSDictionary* outputByCharacter;
@property(assign) NSArray* outputByIndex;

// internal variables
@property(copy) NSString* defaultString;

- (NSFont*)determineFont;
- (NSDictionary*)createCharacterDict:(NSString *)charString;

@end
